### Signal

# Gdk Drag::dnd-finished

since: 4.0

#### Declaration

    void
    dnd_finished (
      GdkDrag* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the destination side has finished reading all data.

The drag object can now free all miscellaneous data.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0